import request from '@/utils/httpRequest'
import {CCPM_PATH as prefix} from "../../AppPath";

export default class ReimbursementService {
  list (param) {
    return request({
      url: prefix + '/ccpmReimbursement/info/list',
      method: 'get',
      params: param
    })
  }
  reportNoList (param) {
    return request({
      url: prefix +  '/ccpmReimbursement/info/reportNoList',
      method: 'get',
      params: param
    })
  }
  projectList (params) {
    return request({
      url: prefix + '/ccpmReimbursement/info/projectList',
      method: 'get',
      params: params
    })
  }
  save (param) {
    return request({
      url: prefix + '/ccpmReimbursement/info/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/ccpmReimbursement/info/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: prefix + '/ccpmReimbursement/info/remove',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/ccpmReimbursement/info/updateStatusById',
      method: 'post',
      data: param
    })
  }
  checkNumber (number) {
    return request({
      url: prefix + '/ccpmReimbursement/info/checkNumber',
      method: 'get',
      params: {number: number}
    })
  }
  userTree (name) {
    return request({
      url: prefix + '/ccpmReimbursement/info/userTree',
      method: 'get',
      params: {name: name}
    })
  }
  exportFile (params) {
    return request({
      url: prefix + '/ccpmReimbursement/info/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
	exportInvoiceReimbursementFile (params) {
		return request({
			url: prefix + '/ccpmReimbursement/info/exportInvoiceReimbursementFile',
			method: 'get',
			params: params,
			responseType: 'blob'
		})
	}
  getEffectiveDataByInvoiceNumber (invoiceNumber,id) {
	return request({
		url: prefix + '/ccpmReimbursement/info/getEffectiveDataByInvoiceNumber',
		method: 'get',
		params: {invoiceNumber: invoiceNumber,id:id}
	})
  }
	getEffectiveDataByNumbers (invoiceNumber,id) {
		return request({
			url: prefix + '/ccpmReimbursement/info/getEffectiveDataByNumbers',
			method: 'get',
			params: {invoiceNumber: invoiceNumber,id:id}
		})
	}
	getEffectiveDataByNumbers2 (invoiceNumber,id) {
		return request({
			url: prefix + '/ccpmReimbursement/info/getEffectiveDataByNumbers2',
			method: 'post',
			data: {financeNumber: invoiceNumber,id:id}
		})
	}
	deleteByIdAndNumber (id,invoiceNumber) {
		return request({
			url: prefix + '/ccpmReimbursement/info/deleteByIdAndNumber',
			method: 'post',
			params: {id:id,invoiceNumber: invoiceNumber}
		})
	}
	findHistory (id) {
		return request({
			url: prefix + '/ccpmReimbursement/info/findHistory',
			method: 'get',
			params: {id: id}
		})
	}
	findHiById (id) {
		return request({
			url: prefix + '/ccpmReimbursement/info/findHiById',
			method: 'get',
			params: {id: id}
		})
	}
	updatePaymentStatus (param) {
		return request({
			url: prefix + '/ccpmReimbursement/info/updatePaymentStatus',
			method: 'post',
			data: param
		})
	}


	updateFileStatusById(param){
		return request({
			url: prefix + '/ccpmReimbursement/info/updateFileStatusById',
			method: 'post',
			data: param
		})
	}

	findFileById (id) {
		return request({
			url: prefix + '/ccpmReimbursement/info/findFileById',
			method: 'get',
			params: {id: id}
		})
	}

	saveFile (param) {
		return request({
			url: prefix + '/ccpmReimbursement/info/saveFile',
			method: 'post',
			data: param
		})
	}

	findFileByReimId (id) {
		return request({
			url: prefix + '/ccpmReimbursement/info/findFileByReimId',
			method: 'get',
			params: {id: id}
		})
	}

}
